#include<iostream>

using namespace std;

int main(){
    int n;
    cin>>n;
    
    double a[n];
    double p[n];
	for(int i=0; i<n; i++){
		cin>>a[i]>>p[i];
	}    
	
	double rez[n];
	double max=0;
	for(int i=0; i<n; i++){
		rez[i]=0;
		for(int j=0; j<=n; j++){
			if(p[j]>=p[i]){
				rez[i]+=a[j];
			}
		}
		rez[i]=rez[i]*p[i]/100;
		if(rez[i]>max){
			max=rez[i];
		}
	}
	
	cout<<max;
	return 0;	
}